

Version:	8.2

Release:	6mdk
Summary:	Graphical bootup for Linux
Name:		Aurora
Copyright:	GPL
Packager:	RedHog <redhog@mandrakesoft.com>
Group:		System/Base
Source:		%{name}.redhog.16.tgz

BuildRoot:	/tmp/%{name}-redhog.16-root
Prefix:		%{prefix}
URL:		http://aurora.mini.dhs.org
Buildrequires:	WsLib-devel
Requires:	Aurora-Monitor
Requires:	fileutils

Requires:	initscripts >= 5.54-1mdk


%description
 Aurora is a graphical front-end to the init process of Linux.
It presents the starting and stopping of services with text
and nice icons telling how the service startup/stop turend out.


 This particular RPM of Aurora is specific to Linux-Mandrake. RPMS for
other distributions and a general RPM that can be installed on several
distributions are available from the Aurora homepage.
      


       %define sysconfdir %{_sysconfdir}
      

%define sysbaredir /sbin
%define sysfulldir /usr/sbin
%define syslibdir  /lib

%define libdir     %{syslibdir}/aurora
%define confdir    %{sysconfdir}/aurora
%define monitordir %{libdir}/Monitors
%define baredir    %{sysbaredir}
%define fulldir    %{sysfulldir}


%prep
%setup -q -n %{name}

%build
make Monitor CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{tmpdir}
mkdir -p $RPM_BUILD_ROOT%{baredir}
mkdir -p $RPM_BUILD_ROOT%{fulldir}
rm -rf `find -type d -name CVS`
make install-monitor prefix=$RPM_BUILD_ROOT CFLAGS="$RPM_OPT_FLAGS"
make install-scripts prefix=$RPM_BUILD_ROOT CFLAGS="$RPM_OPT_FLAGS"
make install-libs prefix=$RPM_BUILD_ROOT CFLAGS="$RPM_OPT_FLAGS"
mkdir -p $RPM_BUILD_ROOT/%{tmpdir}/src

touch $RPM_BUILD_ROOT/%{confdir}/Monitor

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}


%post
rm -f %{confdir}/Monitor


%preun
touch %{confdir}/Monitor


%files
%defattr(-,root,root)
%doc               README FAQ

%dir               %{confdir}
%config(noreplace) %{confdir}/rc
%config(noreplace) %{confdir}/Monitor

                   %{libdir}/rgb.txt
                   %{libdir}/input
                   %{libdir}/output
                   %{libdir}/functions
                   %{libdir}/default
                   %{libdir}/default-categorizing
                   %{libdir}/config-scripts



















%package Monitor-NewStyle-Categorizing-WsLib
Summary:        New-style, Categorizing, WsLib based
Group:          System/Base/Aurora
Provides:       Aurora-Monitor
Prereq:         %{name} = %{version}-%{release}

Requires: open >= 1.4-12mdk


%description Monitor-NewStyle-Categorizing-WsLib
 New Style Categorizing WsLib Monitor is a Linux FrameBuffer, WsLib -
based Monitor. It presents the output as a horizontal bar of icons at
the bottom of a quite empty screen with a penguin in the middle. The
different services are grouped, and each group have one icon, not each
service. In the event of a failing serivice, however, a separate icon
is created for the failed service. Clicking on the icon for a failed
service in the bar, brings up the output of that service.

%post Monitor-NewStyle-Categorizing-WsLib

readlink () {
 ls -l $1 | sed -e "s/^.*-> \(.*\)$/\1/g"
}
choices () {
 cmd="$1"
choicesdir="$2"
choicelink="$3"
choice="$4"

case $cmd in
 install)
  if [ ! -h "$choicelink" -a ! -e "$choicelink" ]; then
   ln -s "$choicesdir/$choice" "$choicelink"
  fi
  ;;
 uninstall)
  if [ "$(readlink "$choicelink")" == "$choicesdir/$choice" ]; then
   rm "$choicelink"
   ls "$choicesdir" | grep -v "^$choice$" | {
    read first;
    if [ "$first" != "" ]; then
     ln -s "$choicesdir/$first" "$choicelink"
    fi
   }
  fi
  ;;
esac

}

choices install %{monitordir} %{confdir}/Monitor NewStyle-Categorizing-WsLib
%preun Monitor-NewStyle-Categorizing-WsLib

readlink () {
 ls -l $1 | sed -e "s/^.*-> \(.*\)$/\1/g"
}
choices () {
 cmd="$1"
choicesdir="$2"
choicelink="$3"
choice="$4"

case $cmd in
 install)
  if [ ! -h "$choicelink" -a ! -e "$choicelink" ]; then
   ln -s "$choicesdir/$choice" "$choicelink"
  fi
  ;;
 uninstall)
  if [ "$(readlink "$choicelink")" == "$choicesdir/$choice" ]; then
   rm "$choicelink"
   ls "$choicesdir" | grep -v "^$choice$" | {
    read first;
    if [ "$first" != "" ]; then
     ln -s "$choicesdir/$first" "$choicelink"
    fi
   }
  fi
  ;;
esac

}

choices uninstall %{monitordir} %{confdir}/Monitor NewStyle-Categorizing-WsLib

%files Monitor-NewStyle-Categorizing-WsLib

%defattr(-,root,root)
                   %{monitordir}/NewStyle-Categorizing-WsLib
                   %{baredir}/Monitor-NewStyle-Categorizing-WsLib
%config(noreplace) %{confdir}/Monitor-NewStyle-Categorizing-WsLib.rc











%package Monitor-NewStyle-WsLib
Summary:        New-style, WsLib based
Group:          System/Base/Aurora
Provides:       Aurora-Monitor
Prereq:         %{name} = %{version}-%{release}

Requires: open >= 1.4-12mdk


%description Monitor-NewStyle-WsLib
 New Style WsLib Monitor is a Linux FrameBuffer, WsLib - based
Monitor. It presents the output as a horizontal bar of icons at the
bottom of a quite empty screen with a penguin in the middle. Clicking
on the icon for a service in the bar, brings up the output of that
service, and icons are coloured (red or yellow) to indicate that
something went wrong with the service.

%post Monitor-NewStyle-WsLib

readlink () {
 ls -l $1 | sed -e "s/^.*-> \(.*\)$/\1/g"
}
choices () {
 cmd="$1"
choicesdir="$2"
choicelink="$3"
choice="$4"

case $cmd in
 install)
  if [ ! -h "$choicelink" -a ! -e "$choicelink" ]; then
   ln -s "$choicesdir/$choice" "$choicelink"
  fi
  ;;
 uninstall)
  if [ "$(readlink "$choicelink")" == "$choicesdir/$choice" ]; then
   rm "$choicelink"
   ls "$choicesdir" | grep -v "^$choice$" | {
    read first;
    if [ "$first" != "" ]; then
     ln -s "$choicesdir/$first" "$choicelink"
    fi
   }
  fi
  ;;
esac

}

choices install %{monitordir} %{confdir}/Monitor NewStyle-WsLib
%preun Monitor-NewStyle-WsLib

readlink () {
 ls -l $1 | sed -e "s/^.*-> \(.*\)$/\1/g"
}
choices () {
 cmd="$1"
choicesdir="$2"
choicelink="$3"
choice="$4"

case $cmd in
 install)
  if [ ! -h "$choicelink" -a ! -e "$choicelink" ]; then
   ln -s "$choicesdir/$choice" "$choicelink"
  fi
  ;;
 uninstall)
  if [ "$(readlink "$choicelink")" == "$choicesdir/$choice" ]; then
   rm "$choicelink"
   ls "$choicesdir" | grep -v "^$choice$" | {
    read first;
    if [ "$first" != "" ]; then
     ln -s "$choicesdir/$first" "$choicelink"
    fi
   }
  fi
  ;;
esac

}

choices uninstall %{monitordir} %{confdir}/Monitor NewStyle-WsLib

%files Monitor-NewStyle-WsLib

%defattr(-,root,root)
                   %{monitordir}/NewStyle-WsLib
                   %{baredir}/Monitor-NewStyle-WsLib











%package Monitor-Traditional-Gtk+
Summary:        Traditional look, X/Gtk+ based
Group:          System/Base/Aurora
Provides:       Aurora-Monitor
Prereq:         %{name} = %{version}-%{release}


%description Monitor-Traditional-Gtk+
 Traditional Gtk+ Monitor X Windowing System, Gtk+ -based,
"traditional Aurora"-looking Monitor. It presents the output as a text
rows in a table. Each row is acompanied by an icon for the service and
an icon symbolizing whetever the service startup/stopping failed or
not.
 Along with the output, a list of runlevels is present, from which the
user may shose a runlevel to change to.

%post Monitor-Traditional-Gtk+

readlink () {
 ls -l $1 | sed -e "s/^.*-> \(.*\)$/\1/g"
}
choices () {
 cmd="$1"
choicesdir="$2"
choicelink="$3"
choice="$4"

case $cmd in
 install)
  if [ ! -h "$choicelink" -a ! -e "$choicelink" ]; then
   ln -s "$choicesdir/$choice" "$choicelink"
  fi
  ;;
 uninstall)
  if [ "$(readlink "$choicelink")" == "$choicesdir/$choice" ]; then
   rm "$choicelink"
   ls "$choicesdir" | grep -v "^$choice$" | {
    read first;
    if [ "$first" != "" ]; then
     ln -s "$choicesdir/$first" "$choicelink"
    fi
   }
  fi
  ;;
esac

}

choices install %{monitordir} %{confdir}/Monitor Traditional-Gtk+
%preun Monitor-Traditional-Gtk+

readlink () {
 ls -l $1 | sed -e "s/^.*-> \(.*\)$/\1/g"
}
choices () {
 cmd="$1"
choicesdir="$2"
choicelink="$3"
choice="$4"

case $cmd in
 install)
  if [ ! -h "$choicelink" -a ! -e "$choicelink" ]; then
   ln -s "$choicesdir/$choice" "$choicelink"
  fi
  ;;
 uninstall)
  if [ "$(readlink "$choicelink")" == "$choicesdir/$choice" ]; then
   rm "$choicelink"
   ls "$choicesdir" | grep -v "^$choice$" | {
    read first;
    if [ "$first" != "" ]; then
     ln -s "$choicesdir/$first" "$choicelink"
    fi
   }
  fi
  ;;
esac

}

choices uninstall %{monitordir} %{confdir}/Monitor Traditional-Gtk+

%files Monitor-Traditional-Gtk+

%defattr(-,root,root)
                   %{monitordir}/Traditional-Gtk+
                   %{fulldir}/Monitor-Traditional-Gtk+











%package Monitor-Traditional-WsLib
Summary:        Traditional look, WsLib based
Group:          System/Base/Aurora
Provides:       Aurora-Monitor
Prereq:         %{name} = %{version}-%{release}

Requires: open >= 1.4-12mdk


%description Monitor-Traditional-WsLib
 Traditional WsLib Monitor is a Linux FrameBuffer, WsLib -based,
"traditional Aurora"-looking Monitor. It presents the output as a text
rows in a table. Each row is acompanied by an icon for the service and
an icon symbolizing whetever the service startup/stopping failed or
not.
 Along with the output, a list of runlevels is present, from which the
user may shose a runlevel to change to.

%post Monitor-Traditional-WsLib

readlink () {
 ls -l $1 | sed -e "s/^.*-> \(.*\)$/\1/g"
}
choices () {
 cmd="$1"
choicesdir="$2"
choicelink="$3"
choice="$4"

case $cmd in
 install)
  if [ ! -h "$choicelink" -a ! -e "$choicelink" ]; then
   ln -s "$choicesdir/$choice" "$choicelink"
  fi
  ;;
 uninstall)
  if [ "$(readlink "$choicelink")" == "$choicesdir/$choice" ]; then
   rm "$choicelink"
   ls "$choicesdir" | grep -v "^$choice$" | {
    read first;
    if [ "$first" != "" ]; then
     ln -s "$choicesdir/$first" "$choicelink"
    fi
   }
  fi
  ;;
esac

}

choices install %{monitordir} %{confdir}/Monitor Traditional-WsLib
%preun Monitor-Traditional-WsLib

readlink () {
 ls -l $1 | sed -e "s/^.*-> \(.*\)$/\1/g"
}
choices () {
 cmd="$1"
choicesdir="$2"
choicelink="$3"
choice="$4"

case $cmd in
 install)
  if [ ! -h "$choicelink" -a ! -e "$choicelink" ]; then
   ln -s "$choicesdir/$choice" "$choicelink"
  fi
  ;;
 uninstall)
  if [ "$(readlink "$choicelink")" == "$choicesdir/$choice" ]; then
   rm "$choicelink"
   ls "$choicesdir" | grep -v "^$choice$" | {
    read first;
    if [ "$first" != "" ]; then
     ln -s "$choicesdir/$first" "$choicelink"
    fi
   }
  fi
  ;;
esac

}

choices uninstall %{monitordir} %{confdir}/Monitor Traditional-WsLib

%files Monitor-Traditional-WsLib

%defattr(-,root,root)
                   %{monitordir}/Traditional-WsLib
                   %{baredir}/Monitor-Traditional-WsLib




%changelog
* Sat Apr 14 2001 Warly <warly@mandrakesoft.com> 8.2-6mdk
- recompile with last bdf2f with 256 chars

* Tue Mar 27 2001 RedHog <redhog@mandrakesoft.com> 8.2-5mdk
- Fix to the bug of cut failed-icons in Monitor-NewStyle-Categorizing-WsLib...
- The row of icons in Monitor-NewStyle-Categorizing-WsLib is now centered.

* Mon Mar 26 2001 RedHog <redhog@mandrakesoft.com> 8.2-4mdk
- Added scrollability to service output text in the two NewStyle
  Monitors.

* Thu Mar 22 2001 RedHog <redhog@mandrakesoft.com> 8.2-3mdk
- Default colours are now centralized into one file.
- A new yes-no (without a continue-option) dialog has been added.

* Tue Mar 13 2001 RedHog <redhog@mandrakesoft.com> 8.2-2mdk
- Inclusion of new icons for the categorizing Monitor.
- Addition to the rc file to include Monitor-specific rc files.
- Bugfixes to Monitor-NewStyle-Categorizing-WsLib.

* Fri Mar 09 2001 RedHog <redhog@mandrakesoft.com> 8.2-1mdk
- First Mandrake-rpm release of this version.



* Fri Mar 09 2001 RedHog <redhog@mandrakesoft.com> redhog.16-0
- Documentation update.
- Changes to how version/release-numbers get assigned.
- Cleanup of the build-structure.

* Thu Mar 08 2001 RedHog <redhog@mandrakesoft.com> redhog.15-0
- Big Rename<Tm>, and remake of the Makefile/.spec-file at the same
  time. Monitors are now named Monitor-Some-Descriptive-Long-Name.
- Changes to allow click-sensing, not just mouse-down.
- Changes to be able to use gMonitor with Mandrake 8.0.
- Internationalization support.
- Automatic installation of the first installed Monitor to
  /etc/aurora/Monitor.

# Dates of old log entries are garbage. Only version number and
# content is valid.

* Tue Dec 14 1999 RedHog <redhog@mandrakesoft.com> redhog.14-0
- Bugfixes to gMonitor
- Created an additional WsLib-based Monitor
- Patches of all the rc.sysinit-diffs to match the new location of the
  input and output pipes (/etc/aurora)

* Mon Dec 13 1999 RedHog <redhog@mandrakesoft.com> redhog.13-0
- Major changes to the WsLib Monitor (wsMonitor) - improvements and
  bugfixes.
- A hell lot of new icons, pictures and other nice stuff.
          
* Sun Dec 12 1999 RedHog <redhog@mandrakesoft.com> redhog.12-0
- Created an additional Monitor, which runs on the Linux FrameBuffer
  device, using WsLib.
- Minor cleanups of the Mandrake 7.1 support

* Sat Dec 11 1999 RedHog <redhog@mandrakesoft.com> redhog.11-0
- Added some patches suggested by Sean Perry, making the scripts POSIX
  conforming (No use of bash-specific features).
- Fix of a set of serious bugs concerning creation of dialogs and
  error messaging.

* Fri Dec 10 1999 RedHog <redhog@mandrakesoft.com> redhog.10-0
- Support for RedHat 6.2 (Contributed by Richard June)

* Thu Dec 09 1999 RedHog <redhog@mandrakesoft.com> redhog.f
- Total code restructuring; separating the parser from the GUI code to
  be able to easily create other Monitors.

* Wed Dec 08 1999 RedHog <redhog@mandrakesoft.com> redhog.e-0
- Aurora now supports for Mandrake 7.1 too.
- Configurability of all the UI text items added.
- Finally support for .gtkrc was added.
- Support for configuration scripts for services (Some basic ones
  included) added.
- Some minor bugfixes.

* Tue Dec 07 1999 RedHog <redhog@mandrakesoft.com> redhog.d-0
- Support for Mandrake 7.0
- Shell function library command mode wrapper/abstraction layer

* Mon Dec 06 1999 RedHog <redhog@mandrakesoft.com> redhog.c-0
- Restructuring of the source tree to ease the addition of support for
  different distributions.
- Autodetection of distribution (At least a stub for it!).
- General .spec-files that *should* work on all distributions.
- Support for Mandrake 6.1.

* Sun Dec 05 1999 RedHog <redhog@mandrakesoft.com> redhog.b-0
- Confirmation support, using the dialogs defined in redhog.a.
- Changed the runlevel and missionsize commands to be set-commands
  (More logical).
- Lots of bugfixes.

* Sat Dec 04 1999 RedHog <redhog@mandrakesoft.com> redhog.a-0
- User dialogs implemented. This implies the new commands {create,
  show, reset} dialog.
- Added the possibility not only to input information, but to output
  too.
- Changed command line arguments order and meaning.

* Fri Dec 03 1999 RedHog <redhog@mandrakesoft.com> redhog.7-0
- FontPath-bugfix.
- xinit error handling implemented.
- Added a small about-box (Click on the logo!).

* Thu Dec 02 1999 RedHog <redhog@mandrakesoft.com> redhog.6-0
- Block icon support implemented (See the "set path icons" command for
  more information on this).
- Added a basic "theme" support; all pixmaps may be configured from
  commands.

* Wed Dec 01 1999 RedHog <redhog@mandrakesoft.com> redhog.5-0
- The commands "set completion ok", "set completion passed", "set
  completion failed" changed to take single-line parameters.
- Pixmap lists cleaned up.

